JmolRepaintManager
Date: 2019-10-22

org.jmol.api

## Interface JmolRepaintManager

- All Known Implementing Classes:
    RepaintManager

      public interface JmolRepaintManager

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(int iShape)`
    `boolean` | `isRepaintPending()`
    `void` | `popHoldRepaint(boolean andRepaint, java.lang.String why)`
    `void` | `pushHoldRepaint(java.lang.String why)`
    `void` | `render(GData gdata, ModelSet modelSet, boolean isFirstPass, int[] navMinMax)`
    `java.lang.String` | `renderExport(GData gdata, ModelSet modelSet, java.util.Map<java.lang.String,java.lang.Object> params)`
    `void` | `repaintDone()`
    `boolean` | `repaintIfReady(java.lang.String why)`
    `void` | `requestRepaintAndWait(java.lang.String why)`
    `void` | `set(Viewer vwr, ShapeManager shapeManager)`

- - ### Method Detail

    - #### set

          void set(Viewer vwr,
                   ShapeManager shapeManager)

    - #### isRepaintPending

          boolean isRepaintPending()

    - #### popHoldRepaint

          void popHoldRepaint(boolean andRepaint,
                              java.lang.String why)

    - #### repaintIfReady

          boolean repaintIfReady(java.lang.String why)

    - #### pushHoldRepaint

          void pushHoldRepaint(java.lang.String why)

    - #### repaintDone

          void repaintDone()

    - #### requestRepaintAndWait

          void requestRepaintAndWait(java.lang.String why)

    - #### clear

          void clear(int iShape)

    - #### render

          void render(GData gdata,
                      ModelSet modelSet,
                      boolean isFirstPass,
                      int[] navMinMax)

    - #### renderExport

          java.lang.String renderExport(GData gdata,
                                        ModelSet modelSet,
                                        java.util.Map<java.lang.String,java.lang.Object> params)